Subject: bug#17504: bug in gzgrep

From: Paul Eggert <[email-masked]>
Date: Sat, 17 May 2014 09:06:50 -0700

Robert Lawhead wrote:
>      The solaris box is running fully patched 11.1.

That's, odd, because on the Solaris 11.1 box I have access to, gzgrep is 
version 1.5:

$ uname -srvmpi
SunOS 5.11 11.1 i86pc i386 i86pc
$ gzgrep --version | head -1
gzgrep (gzip) 1.5

Perhaps there's some patch set your sysadmins are not installing?

> I can confirm that its present in RedHat/CentOS 6.2, and ubuntu precice1 which is just a few months old.

I'm not surprised: those releases were originally made in 2012, and 
predate gzip 1.5.  They probably don't think this bug worth fixing.

I wouldn't install gzip 1.5 (released June 2012); like gzip 1.4, it has 
known security holes (which I hope Solaris has patched).  I'd install 
gzip 1.6 (released June 2013).  Please see:

http://www.gnu.org/software/gzip/gzip.html